Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class BlogManager

    java.lang.Object
      net.sourceforge.pebble.domain.BlogManager

    public class BlogManager

extends java.lang.Object

A singleton to manage the active blog.

Author:
  Simon Brown

Method Summary
`void` | `addBlog(Blog blog)`
`void` | `addBlog(java.lang.String blogId)`
`Blog` | `getBlog()` Gets the default blog.
`Blog` | `getBlog(java.lang.String id)` Gets a named blog.
`java.util.Collection` | `getBlogs()` Gets all blogs that are currently being managed.
`static BlogManager` | `getInstance()` Gets the singleton instance of this class.
`MultiBlog` | `getMultiBlog()`
`java.util.List<Blog>` | `getPublicBlogs()` Gets all blogs that are currently being managed and are to be included in aggregated pages and feeds.
`boolean` | `hasBlog(java.lang.String id)` Determines whether there is a blog with the specified ID.
`boolean` | `isMultiBlog()` Determines whether this blog manager supports multiple blogs.
`void` | `reloadBlog(Blog blog)`
`void` | `removeAllBlogs()`
`void` | `setMultiBlog(boolean multiBlog)`
`void` | `startBlogs()` Configures this instance to manage the blog(s) in the specified directory.
`void` | `stopBlogs()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static BlogManager getInstance()

  Gets the singleton instance of this class.

  Returns:
    the singleton BlogManager instance

### getBlog

    public Blog getBlog()

  Gets the default blog.

  Returns:
    the active Blog instance

### getBlog

    public Blog getBlog(java.lang.String id)

  Gets a named blog. If running in single user mode then this method returns the currently active blog. If running in multi-user mode, this method returns the named blog from the overall composite blog.

  Parameters:
    `id` - the blog ID
  Returns:
    a Blog instance

### startBlogs

    public void startBlogs()

  Configures this instance to manage the blog(s) in the specified directory.

### stopBlogs

    public void stopBlogs()

### reloadBlog

    public void reloadBlog(Blog blog)

### addBlog

    public void addBlog(java.lang.String blogId)

### isMultiBlog

    public boolean isMultiBlog()

  Determines whether this blog manager supports multiple blogs.

  Returns:
    true if multiple blogs are supported, false otherwise

### setMultiBlog

    public void setMultiBlog(boolean multiBlog)

### addBlog

    public void addBlog(Blog blog)

### removeAllBlogs

    public void removeAllBlogs()

### getBlogs

    public java.util.Collection getBlogs()

  Gets all blogs that are currently being managed.

  Returns:
    a Collection of Blog instances

### getPublicBlogs

    public java.util.List<Blog> getPublicBlogs()

  Gets all blogs that are currently being managed and are to be included in aggregated pages and feeds.

  Returns:
    a List of Blog instances

### hasBlog

    public boolean hasBlog(java.lang.String id)

  Determines whether there is a blog with the specified ID.

  Parameters:
    `id` - the blog ID
  Returns:
    true if a blog with the specified ID exists, false otherwise

### getMultiBlog

    public MultiBlog getMultiBlog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.